echo off
cd %VAR%
..\..\..\util\setconsole.exe /reset
echo.
echo Press 1 to play The Secret of Monkey Island using DOSBox with Hercules
echo Press 2 to play The Secret of Monkey Island using DOSBox with IBM
echo Press 3 to play The Secret of Monkey Island using ScummVM
echo.
..\..\..\util\choice /C:123 /N Please Choose:

if errorlevel = 3 goto scummvm
if errorlevel = 2 goto dosboxC
if errorlevel = 1 goto dosboxH

:dosboxH
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\ece4460\dosbox.exe" -conf "%var%\dosboxH.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:dosboxC
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\ece4460\dosbox.exe" -conf "%var%\dosbox.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:scummvm
..\..\..\util\setconsole.exe /reset
echo.
echo Press 1 to play The Secret of Monkey Island using Original CD Tracks
echo Press 2 to play The Secret of Monkey Island using Special Edition Tracks
echo.
..\..\..\util\choice /C:12 /N Please Choose:

if errorlevel = 2 goto SE
if errorlevel = 1 goto ORIG

:ORIG
cd ..
cd ..
cd ..
if exist .\eXoDOS\mi1\track8_no_sfx.flac del .\eXoDOS\mi1\track8_no_sfx.flac
copy .\eXoDOS\mi1\cd_music\*.* .\eXoDOS\mi1\
.\util\setconsole.exe /minimize
".\emulators\scummvm\scummvm.exe" --no-console -F -g3x --aspect-ratio -p.\eXoDOS\mi1\ monkey
goto end

:SE
cd ..
cd ..
cd ..
copy .\eXoDOS\mi1\se_music\*.* .\eXoDOS\mi1\
.\util\setconsole.exe /minimize
".\emulators\scummvm\scummvm.exe" --no-console -F -g3x --aspect-ratio -p.\eXoDOS\mi1\ monkey
goto end

:end